> ## Documentation Index
> Fetch the complete documentation index at: https://docs.monyfix.tech/llms.txt
> Use this file to discover all available pages before exploring further.

# Get User Rating

> Get user rating



## OpenAPI

````yaml get /users/get-rating
openapi: 3.1.0
info:
  title: Monyfix API
  description: Monyfix
  version: 1.0.0
servers: []
security: []
paths:
  /users/get-rating:
    get:
      tags:
        - users
      summary: Get User Rating
      description: Get user rating
      operationId: get_user_rating_users_get_rating_get
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UserRatingResponse'
        '401':
          description: >-
            No `Authorization` access token header, token is invalid or user
            removed
          content:
            application/json:
              examples:
                not authenticated:
                  summary: No authorization token header
                  value:
                    detail: Not authenticated
                invalid token:
                  summary: >-
                    Token validation failed, decode failed, it may be expired or
                    malformed
                  value:
                    detail: 'Token invalid: {detailed error msg}'
                removed user:
                  summary: User removed
                  value:
                    detail: User removed
      security:
        - HTTPBearer: []
components:
  schemas:
    UserRatingResponse:
      properties:
        level:
          $ref: '#/components/schemas/UserRatingLevelResponse'
        points:
          type: integer
          title: Points
      type: object
      required:
        - level
        - points
      title: UserRatingResponse
    UserRatingLevelResponse:
      properties:
        id:
          type: integer
          title: Id
        name:
          type: string
          title: Name
        queue:
          type: integer
          title: Queue
        max_points:
          type: integer
          title: Max Points
        price_range_min:
          type: integer
          title: Price Range Min
        price_range_max:
          type: integer
          title: Price Range Max
      type: object
      required:
        - id
        - name
        - queue
        - max_points
        - price_range_min
        - price_range_max
      title: UserRatingLevelResponse
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````